Loading...
Searching...
No Matches
LibThread::EvalJob Class Reference

## Public Member Functions

| EvalJob ()
virtual void | execute ()
Public Member Functions inherited from LibThread::Job
| Job ()
| ~Job ()
void | addDep (Job *job)
void | addDep (vector< Job * > &jobs)
void | addDep (long ndeps, Job **jobs)
void | addNotify (vector< Job * > &jobs)
void | addNotify (Job *job)
virtual bool | ready ()
void | run ()
Public Member Functions inherited from LibThread::SharedObject
| SharedObject ()
virtual | ~SharedObject ()
void | set_type (int type_init)
int | get_type ()
void | set_name (std::string &name_init)
void | set_name (const char *s)
std::string & | get_name ()
void | incref (int by=1)
long | decref ()
long | getref ()
virtual BOOLEAN | op2 (int op, leftv res, leftv a1, leftv a2)
virtual BOOLEAN | op3 (int op, leftv res, leftv a1, leftv a2, leftv a3)

## Additional Inherited Members

Data Fields inherited from LibThread::Job
ThreadPool * | pool
long | prio
size_t | id
long | pending_index
vector< Job * > | deps
vector< Job * > | notify
vector< Trigger * > | triggers
vector< string > | args
string | result
void * | data
bool | fast
bool | done
bool | queued
bool | running
bool | cancelled

## Detailed Description

Definition at line 2355 of file shared.cc.

## Constructor & Destructor Documentation

## EvalJob()

LibThread::EvalJob::EvalJob | ( |  | ) |

inline

Definition at line 2357 of file shared.cc.

: Job() { }
LibThread::Job::Job
Job()
Definition shared.cc:1561

## Member Function Documentation

## execute()

virtual void LibThread::EvalJob::execute | ( |  | ) |

inline virtual

Implements LibThread::Job.

Definition at line 2358 of file shared.cc.

{
leftv val = LinTree::from_string(args[0]);
result = (LinTree::to_string(val));
val->CleanUp();
omFreeBin(val, sleftv_bin);
}
LibThread::Job::args
vector< string > args
Definition shared.cc:1553
LibThread::Job::result
string result
Definition shared.cc:1554
sleftv::CleanUp
void CleanUp(ring r=currRing)
Definition subexpr.cc:351
sleftv_bin
EXTERN_VAR omBin sleftv_bin
Definition ipid.h:145
LinTree::to_string
std::string to_string(leftv val)
Definition lintree.cc:843
LinTree::from_string
leftv from_string(std::string &str)
Definition lintree.cc:854
omFreeBin
#define omFreeBin(addr, bin)
Definition omAllocDecl.h:259
leftv
sleftv * leftv
Definition structs.h:53

The documentation for this class was generated from the following file:

- Singular/dyn_modules/systhreads/shared.cc